local bump = require "bump"

--
local world
local player = { name = "Player", x = -638.37210358366, y = 121.258009477, width = 45, height = 230 }
local wall = { name = "Wall", x = -836.50049554579, y = 9.28935041878, width = 198.12839196213, height = 406.74931778108 }

--
-- LOVE callbacks
--
function love.load(arg)
    world = bump.newWorld()
    world:add(player, player.x, player.y, player.width, player.height)
    world:add(wall, wall.x, wall.y, wall.width, wall.height)
end

function love.draw()
    love.graphics.translate(1200, 0)
    love.graphics.scale(1.2, 1.2)
    love.graphics.setColor({ 0, 255, 0, 150 })
    love.graphics.rectangle("fill", player.x, player.y, player.width, player.height)
    love.graphics.setColor({ 255, 0, 0, 150 })
    love.graphics.rectangle("fill", wall.x, wall.y, wall.width, wall.height)
end

function love.update(dt)
    local actualX, actualY, cols, len = world:move(player, player.x - 0.05, player.y)
    player.x = actualX
    player.y = actualY
    print("actualX="..actualX..", actualY="..actualY)
    print(len)
end
